<?php

namespace Bydedi\Routing\TemplatePlugin;

use Bydedi\Template\AbstractPlugin;
use Symfony\Component\Routing\RouterInterface;

class RouterPlugin extends AbstractPlugin
{

    /**
     * @var RouterInterface
     */
    protected $router;

    public function __construct(RouterInterface $router)
    {
        $this->router = $router;
    }

    public function generate($params, $template)
    {
        $page = $params['page'];
        unset($params['page']);
        return $this->router->generate($page, $params);
    }

    public function register()
    {
        return [
            'function',
            'url',
            array($this, 'generate')
        ];
    }
}
